Search products
curl --request GET \
--url https://scrapebadger.com/v1/aliexpress/search \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/aliexpress/search"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/aliexpress/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/aliexpress/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/aliexpress/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/aliexpress/search")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/aliexpress/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyAliExpress endpoints
Search products
Search products.
GET
/
v1
/
aliexpress
/
search
Search products
curl --request GET \
--url https://scrapebadger.com/v1/aliexpress/search \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/aliexpress/search"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/aliexpress/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/aliexpress/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/aliexpress/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/aliexpress/search")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/aliexpress/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodySearch products.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all AliExpress endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Query. Minimum length: 1. Maximum length: 250.
integer
default:"1"
Page. Minimum: 1. Maximum: 60.
string
default:"US"
Country.
string
default:"USD"
Currency.
string
default:"en"
Language.
string
default:"default"
Sort. Allowed values:
default, price_asc, price_desc, total_tranpro_desc.number
Min price. Minimum: 0.
number
Max price. Minimum: 0.
Response
{
"products": [
{
"product_id": "3256812854109939",
"title": "FocusOnPC 2.4GHz Wireless Gaming Mouse, 6 Programmable Buttons, Adjustable Up to 4000 Max DPI, Black Ergonomic PC Gaming Mice",
"url": "https://www.aliexpress.com/item/3256812854109939.html",
"sku_id": "12000060076849418",
"price": 5.38,
"original_price": 28.5,
"formatted_price": "US $5.38",
"currency": "USD",
"discount_percent": 81.0,
"images": [
"https://ae-pic-a1.aliexpress-media.com/kf/S6e1636e09a134ed88ef924f96b360eebq.png"
],
"rating": 5.0,
"sold_count": 22,
"sold_text": "22 sold",
"store_name": "Shop1105233629 Store",
"ship_from": "US",
"category_ids": [
"7"
],
"selling_points": [
{
"sellingPointTagId": "m0000552",
"position": 1,
"tagStyleType": "default",
"tagContent": {
"displayTagType": "image",
"tagImgUrl": "https://ae-pic-a1.aliexpress-media.com/kf/Sc5cfe13232bb46b5ac656c26f3ce8bbeb.png",
"tagImgWidth": 105,
"tagImgHeight": 32,
"tagStyle": {
"isPricePower": "false",
"position": "1"
}
},
"source": "localplus_flag",
"resourceCode": "searchItemCard"
}
],
"sponsored": false,
"choice": false,
"delivery_min_days": 4,
"delivery_max_days": 10,
"first_listed_at": "2026-08-25T00:00:00Z",
"first_listed_utc": 1787616000.0
}
],
"total_results": 6129,
"page": 1,
"query": "wireless mouse"
}
Example
curl --get 'https://scrapebadger.com/v1/aliexpress/search' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'query=wireless mouse'

